#ifndef _BOOKSHELF_H
#define _BOOKSHELF_H

class Book;
class BookShelfIterator;

class BookShelf
{
public:
    BookShelf(int maxSize);
    Book *getBookAt(int index);
    void appendBook(Book *book);
    int getLength();
    BookShelfIterator *iterator();
private:
    Book **m_books;
    int    m_last;
    int    m_maxSize;
};

#endif